Daemon Power

The NetBSD Packages Collection: devel/ruby-subversion

Brief description of the package:
Ruby bindings for Subversion

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://subversion.apache.org/.

Please note that this package has a apache-1.1 license.

The package is located in the "devel/ruby-subversion" directory. The current source version of the package is "ruby26-subversion-1.13.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ruby-subversion :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: serf>=1.1.1 heimdal>=0.4e cwrappers>=20150314 heimdal>=0.6 apr>=1.5.0 apr-util>=1.2.8 openssl>=1.1.1 heimdal>=1.5.3nb22 apr-util>=1.6.1nb6 openssl>=1.1.1dnb2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 py37-scons>=3.0.2 lz4>=1.7.3<100 utf8proc>=2.1.1 subversion-base>=1.13.0 serf>=1.2.1 serf>=1.3.9nb1 lz4>=1.7.3 subversion-base>=1.5.2nb1 ruby26-base>=2.6.6 libyaml>=0.1.1 libyaml>=0.1.4 subversion-base>=1.12.0nb1 .

This package requires the following package(s) to run: serf>=1.1.1 heimdal>=0.4e heimdal>=0.6 apr>=1.5.0 apr-util>=1.2.8 openssl>=1.1.1 heimdal>=1.5.3nb22 apr-util>=1.6.1nb6 openssl>=1.1.1dnb2 lz4>=1.7.3<100 utf8proc>=2.1.1 subversion-base>=1.13.0 serf>=1.2.1 serf>=1.3.9nb1 lz4>=1.7.3 subversion-base>=1.5.2nb1 ruby26-base>=2.6.6 libyaml>=0.1.1 libyaml>=0.1.4 subversion-base>=1.12.0nb1 .

This package supports the following build-time options:

sasl
Enable SASL support.
serf
Use serf HTTP/WebDAV client library.
subversion-plaintext-storage
Enable cleartest password storage.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
alpha:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
alpha:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
alpha:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
alpha:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
alpha:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
earm:ruby200-subversion-1.9.2nb1.tgz(NetBSD 7.0)
earm:ruby21-subversion-1.9.2nb1.tgz(NetBSD 7.0)
earm:ruby22-subversion-1.9.2nb1.tgz(NetBSD 7.0)
earmv6hf:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
earmv6hf:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby23-subversion-1.10.4.tgz(NetBSD 7.0)
i386:ruby24-subversion-1.10.4.tgz(NetBSD 7.0)
i386:ruby25-subversion-1.10.4.tgz(NetBSD 7.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
i386:ruby23-subversion-1.10.4.tgz(NetBSD 7.1)
i386:ruby24-subversion-1.10.4.tgz(NetBSD 7.1)
i386:ruby25-subversion-1.10.4.tgz(NetBSD 7.1)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
i386:ruby23-subversion-1.10.4.tgz(NetBSD 8.0)
i386:ruby24-subversion-1.10.4.tgz(NetBSD 8.0)
i386:ruby25-subversion-1.10.4.tgz(NetBSD 8.0)
i386:ruby26-subversion-1.10.4.tgz(NetBSD 8.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
i386:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
i386:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
i386:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
i386:ruby26-subversion-1.13.0.tgz(NetBSD 9.0)
i386:ruby18-subversion-1.6.17nb1.tgz(QNX 6.5.0)
i386:ruby19-subversion-1.6.17nb1.tgz(QNX 6.5.0)
mips64eb:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
powerpc:ruby22-subversion-1.10.3nb1.tgz(NetBSD 7.1)
powerpc:ruby23-subversion-1.10.3nb1.tgz(NetBSD 7.1)
powerpc:ruby24-subversion-1.10.3nb1.tgz(NetBSD 7.1)
powerpc:ruby25-subversion-1.10.3nb1.tgz(NetBSD 7.1)
sparc64:ruby22-subversion-1.9.7nb3.tgz(NetBSD 7.1)
sparc64:ruby23-subversion-1.9.7nb3.tgz(NetBSD 7.1)
sparc64:ruby24-subversion-1.9.7nb3.tgz(NetBSD 7.1)
sparc64:ruby25-subversion-1.9.7nb3.tgz(NetBSD 7.1)
sparc64:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
sparc64:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
sparc64:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
sparc64:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
sparc64:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
sparc64:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
x86_64:ruby24-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby25-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby26-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby27-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby23-subversion-1.10.4.tgz(NetBSD 7.0)
x86_64:ruby24-subversion-1.10.4.tgz(NetBSD 7.0)
x86_64:ruby25-subversion-1.10.4.tgz(NetBSD 7.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby23-subversion-1.10.4.tgz(NetBSD 7.1)
x86_64:ruby24-subversion-1.10.4.tgz(NetBSD 7.1)
x86_64:ruby25-subversion-1.10.4.tgz(NetBSD 7.1)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 7.1)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby23-subversion-1.10.4.tgz(NetBSD 8.0)
x86_64:ruby24-subversion-1.10.4.tgz(NetBSD 8.0)
x86_64:ruby25-subversion-1.10.4.tgz(NetBSD 8.0)
x86_64:ruby26-subversion-1.10.4.tgz(NetBSD 8.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby26-subversion-1.12.0.tgz(NetBSD 8.0)
x86_64:ruby24-subversion-1.12.0.tgz(NetBSD 9.0)
x86_64:ruby25-subversion-1.12.0.tgz(NetBSD 9.0)
x86_64:ruby26-subversion-1.12.0.tgz(NetBSD 9.0)
x86_64:ruby26-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby24-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby25-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby26-subversion-1.13.0.tgz(NetBSD 9.0)
x86_64:ruby27-subversion-1.13.0.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]